# $Revision: 1.28 $, $Date: 2006/04/17 07:42:20 $
Summary:	DV editing utility
Summary(pl):	Narzdzie do edycji DV
Name:		kino
Version:	0.8.0
Release:	3
License:	GPL
Group:		Applications/Multimedia
Source0:	http://dl.sourceforge.net/kino/%{name}-%{version}.tar.gz
# Source0-md5:	ec945365580d5e21431c76c07d0576bf
Patch0:		%{name}-desktop.patch
URL:		http://www.kinodv.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	libavc1394-devel >= 0.4.1
BuildRequires:	libdv-devel >= 0.102
BuildRequires:	libglade2-devel >= 2.5
BuildRequires:	libsamplerate-devel >= 0.0.14
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
Requires(post,postun):  shared-mime-info
Requires:	gtk+2 >= 2:2.6.0
Requires:	libavc1394 >= 0.4.1
Requires:	libdv >= 0.102
Requires:	libglade2 >= 2.5
Requires:	libsamplerate >= 0.0.14
Requires:	shared-mime-info
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kino is an DV non-linear editing utility.

%description -l pl
Kino to narzdzie do nieliniowej edycji DV.

%package devel
Summary:	Development files for Kino plugins
Summary(pl):	Pliki dla programistw wtyczek Kina
Group:		Applications/Multimedia
Requires:	libstdc++-devel

%description devel
Development files for Kino plugins.

%description devel -l pl
Pliki dla programistw tworzcych wtyczki Kina.

%package jogshuttle
Summary:	Kino support for jogshuttle input devices
Summary(pl):	Obsuga urzdze jogshuttle dla Kino
Group:		Applications/Multimedia
Requires:	hotplug
Requires:	%{name} = %{version}

%description jogshuttle
Jog/Shuttles are devices made especially for working with streams of
data, such as Video or Audio. In theory, Kino should work with any
(usb) Jog/Shuttle devices that supports the USB HID v1.10 Pointer
profile.

%description jogshuttle -l pl
Urzdzenia Jog/Shuttle s specjalnie przystosowane do pracy ze
strumieniami danych takimi jak dwik lub wideo. Teoretycznie, program
Kino powinien pracowa z dowolnym urzdzeniem Jog/Shuttle wspierajcym
standard USB HID v1.10.

%prep
%setup -q
%patch0 -p1

# use lib64 when needed
sed -i -e 's|lib/kino-gtk2|%{_lib}/kino-gtk2|' src/*/Makefile.am

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-hotplug-script-dir=%{_sysconfdir}/hotplug/usb \
	--with-hotplug-usermap-dir=%{_libdir}/hotplug/%{name}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# it seems to be more Danish than Norwegian; current Norwegian is in nb
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/no
rm -f $RPM_BUILD_ROOT%{_libdir}/kino-gtk2/*.{a,la}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
update-mime-database %{_datadir}/mime >/dev/null 2>&1 ||:
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%postun
if [ $1 = 0 ]; then
    umask 022
    update-mime-database %{_datadir}/mime >/dev/null 2>&1
    [ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1
fi

%post jogshuttle 
hotplug-update-usb.usermap

%postun jogshuttle 
hotplug-update-usb.usermap

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/kino-gtk2
%attr(755,root,root) %{_libdir}/kino-gtk2/lib*.so*
%{_mandir}/man1/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/lumas
%{_datadir}/%{name}/*.xpm
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.jpeg
%{_datadir}/%{name}/help
%attr(755,root,root) %{_datadir}/%{name}/scripts
%{_datadir}/mime/packages/*.xml
%{_desktopdir}/*
%{_pixmapsdir}/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/kino

%files jogshuttle
%defattr(644,root,root,755)
%doc README_jogshuttle
%attr(755,root,root) %{_sysconfdir}/hotplug/usb/*
%{_libdir}/hotplug/kino

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kino.spec,v $
Revision 1.28  2006/04/17 07:42:20  ankry
- fixed -desktop patch, rel.3; STBR

Revision 1.27  2006/03/07 18:09:55  qboosh
- updated URL

Revision 1.26  2005/11/27 12:09:46  freetz
- fix amd64 build, rel.2

Revision 1.25  2005/11/26 21:12:17  freetz
- 0.8.0, more %%files, no more gnome dependencies, updated BR/R,
  fixed post install scripts

Revision 1.24  2005/10/29 06:53:20  ankry
- kill bogus no translation, rel. 2

Revision 1.23  2005/09/15 19:34:29  freetz
- 0.7.6, url updated, update-mime-database/update-desktop-database
  post/postun added

Revision 1.22  2005/02/10 18:45:53  darekr
- missing dir

Revision 1.21  2005/02/10 18:41:49  charles
- updated to 0.7.5

Revision 1.20  2004/10/03 13:54:59  paladine
- updated to 0.7.4
- added desktop patch

Revision 1.19  2004/04/15 08:45:57  ankry
- formatting

Revision 1.18  2004/04/15 08:37:47  aflinta
- added jogshuttle subpackage, release 1

Revision 1.17  2004/04/15 07:24:42  aflinta
- fixed fucked up builddir, You had improper source, mostly finished, but don't know what to do with two hotplug related files

Revision 1.16  2004/04/14 15:14:50  aredridel
- fix build directory

Revision 1.15  2004/04/14 15:07:51  aflinta
- started update to 0.7.1, NFY

Revision 1.14  2004/01/15 12:09:08  qboosh
- added system-samplerate patch, use system libsamplerate
- fixed headers attr, BR versions, cleanups, release 2

Revision 1.13  2004/01/15 01:26:13  undefine
- release 1

Revision 1.12  2004/01/15 01:19:42  undefine
- ac/am in libsamplerate too

Revision 1.11  2004/01/15 01:02:59  undefine
- ac/am, fix perms

Revision 1.10  2004/01/15 00:54:47  undefine
- glade files too

Revision 1.9  2004/01/15 00:19:08  undefine
- typo

Revision 1.8  2004/01/15 00:03:41  undefine
- update to 0.7, not tested yet...

Revision 1.7  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.6  2003/06/18 11:15:37  marcus
- addedd URL

Revision 1.5  2003/05/28 12:59:21  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 05:49:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/06 16:18:55  qboosh
- pl, missing dirs, use find_lang for gnome help files

Revision 1.2  2003/04/05 15:08:13  adasi
 - forgot to add source0 URL

Revision 1.1  2003/04/05 15:07:25  adasi
 - kino DV editing utility. Initial PLD release
